Skip to content

A community's or the server's board of a game: the first 50 and the viewer's place, by trust.

GET
/api/boards/{gameId}/public
curl --request GET \
--url 'https://example.com/api/boards/example/public?scope=server&board=default&period=week'
gameId
required
string
scope
string
default: server
board
string
default: default
period
string
default: week

OK

Media typeapplication/json
object
gameId
required
string
board
required
string
scope
required
string
period
required
string
since
required
null | string format: date-time
hands
required
boolean
reproducible
required
boolean
listed
required
boolean
players
required
integer format: int32
top
required
Array<object>
object
rank
required
integer format: int32
profileId
required
string format: uuid
name
required
string
avatar
required
string
publicId
required
string
value
required
number format: double
hands
required
null | integer format: int32
firsts
required
null | integer format: int32
verified
required
boolean
me
required
One of:
null
around
required
Array<object>
object
rank
required
integer format: int32
profileId
required
string format: uuid
name
required
string
avatar
required
string
publicId
required
string
value
required
number format: double
hands
required
null | integer format: int32
firsts
required
null | integer format: int32
verified
required
boolean

Example generated

{
"gameId": "example",
"board": "example",
"scope": "example",
"period": "example",
"since": "2026-04-15T12:00:00Z",
"hands": true,
"reproducible": true,
"listed": true,
"players": 1,
"top": [
{
"rank": 1,
"profileId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"avatar": "example",
"publicId": "example",
"value": 1,
"hands": 1,
"firsts": 1,
"verified": true
}
],
"me": {
"rank": 1,
"profileId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"avatar": "example",
"publicId": "example",
"value": 1,
"hands": 1,
"firsts": 1,
"verified": true
},
"around": [
{
"rank": 1,
"profileId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"avatar": "example",
"publicId": "example",
"value": 1,
"hands": 1,
"firsts": 1,
"verified": true
}
]
}

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>

Example generated

{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string

Example generated

{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found